package org.springblade.device.feign;

import org.springblade.core.tool.api.R;
import org.springblade.device.entity.Gb28181Device;
import org.springblade.device.vo.Gb28181DeviceVO;
import org.springframework.stereotype.Component;
import java.util.List;

@Component
public class GbDeviceClientFallback implements IGbDeviceClient {
            /**
         * 详情
         */
        @Override
        public Gb28181DeviceVO detail(Gb28181Device gb28181Device) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<Gb28181DeviceVO> list(Gb28181Device gb28181Device) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( Gb28181Device gb28181Device) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( Gb28181Device gb28181Device) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( Gb28181Device gb28181Device) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public R bind(Gb28181Device gb28181Device) {
		return null;
	}

}
